
2023

AP English Language and Composition®

Free-Response Questions Set 1

© 2023 College Board. College Board, Advanced Placement, AP, AP Central, and the acorn logo are registered trademarks of College Board. Visit College Board on the web: collegeboard.org. AP Central is the official online home for the AP Program: apcentral.collegeboard.org.

---

## AP® English Language and Composition 2023 Free-Response Questions

### ENGLISH LANGUAGE AND COMPOSITION
**SECTION II**  
Total time—2 hours and 15 minutes  
3 Questions

---

### Question 1

Suggested reading and writing time—55 minutes. It is suggested that you spend 15 minutes reading the question, analyzing and evaluating the sources, and 40 minutes writing your response.

**Note:** You may begin writing your response before the reading period is over.

(This question counts as one-third of the total essay section score.)

Urban rewilding is an effort to restore natural ecological processes and habitats in city environments. Many cities around the world have embraced rewilding as part of larger movements to promote ecological conservation and environmentally friendly design. Now, a movement to promote urban rewilding is beginning to take shape in the United States as well.

Carefully read the six sources, including the introductory information for each source. Write an essay that synthesizes material from at least three of the sources and develops your position on the extent to which rewilding initiatives are worthwhile for urban communities to pursue.

- Source A (infographic from Fastnacht)
- Source B (Jepson and Schepers policy brief)
- Source C (NRPA article)
- Source D (Garland article)
- Source E (graph from McDonald et al.)
- Source F (Chatterton book excerpt)

In your response you should do the following:
- Respond to the prompt with a thesis that presents a defensible position.
- Select and use evidence from at least three of the provided sources to support your line of reasoning.
- Indicate clearly the sources used through direct quotation, paraphrase, or summary.
- Sources may be cited as Source A, Source B, etc., or by using the description in parentheses.
- Explain how the evidence supports your line of reasoning.
- Use appropriate grammar and punctuation in communicating your argument.

© 2023 College Board.  
Visit College Board on the web: collegeboard.org.

---

*GO ON TO THE NEXT PAGE.*


### Source A

Fastnacht, Sarah. “The Necessity of Rewilding our Cities.” Makers of Sustainable Spaces, MOSS, 29 Apr. 2021, moss.amsterdam/2021/04/29/rewilding-our-cities.

The following infographic is based on an image in a blog post published by an architecture and design company that specializes in sustainability.

**-- START of Infographic Description --**  
The infographic displays several key statistics emphasizing the environmental benefits of urban rewilding:
- A silhouette representation of various animals, ranging from large to small, stands against a backdrop of trees, symbolizing diverse wildlife.
- A prominent statistic states that "More than 70% of projected extinctions of plants and animals would be counteracted by restoring only 30% of priority areas."
- Below this, the figure "465 billion tons of carbon dioxide" is highlighted, which would be sequestered by restoring 30% of priority ecological areas.
- The lower section of the infographic illustrates factory chimneys with smoke plumes, with a caption explaining that "More than 80% of people living in urban areas that monitor air pollution are exposed to air quality levels that exceed the World Health Organization (WHO) limits."
**-- END of Infographic Description --**

Note: Priority areas refers to ecosystems identified by researchers as particularly important for biodiversity. Sequestration is the capture of carbon dioxide from the atmosphere so that it does not contribute to global climate change.

© 2023 College Board.  
Visit College Board on the web: collegeboard.org.

---

*GO ON TO THE NEXT PAGE.*

---

## AP® English Language and Composition 2023 Free-Response Questions

### Source B

Jepson, Paul, and Frans Schepers. “Making Space for Rewilding: Creating an Enabling Policy Environment.” Rewilding Europe, Rewilding Europe, May 2016, www.rewildingeurope.com/wp-content/uploads/2016/05/Making-Space-for-Rewilding-Policy-Brief1.pdf.

The following is excerpted from a policy brief published as a collaboration between the University of Oxford and a nonprofit organization that promotes rewilding in Europe. Rewilding is a powerful new term in conservation. This may be because it combines a sense of passion and feeling for nature with advances in ecological science. The term resonates with diverse publics and seems to have particular appeal to a younger urban generation and among those who want a voice in shaping a new rural environment. ...

Rewilding is a powerful new term in conservation. This may be because it combines a sense of passion and
feeling for nature with advances in ecological science. The term resonates with diverse publics and seems to
have particular appeal to a younger urban generation and among those who want a voice in shaping a new rural
environment. Rewilding is exciting, engaging and challenging: it is promoting debate and deliberation on what
is natural and the natures we collectively wish to conserve and shape.
Rewilding is a multifaceted concept with three broad dimensions that interact with each other: 1) restoring and
giving space to natural processes, 2) reconnecting wild(er) nature with the modern economy, and 3) responding
to and shaping cosmopolitan perceptions of nature conservation among European society. The following
principles are coming to characterise and guide rewilding as a distinct approach to conservation.
1. Restoring natural processes and ecological dynamics—both abiotic such as river flows, and biotic such as
the ecological web and food-chain—through reassembling lost guilds<sup>1</sup> of animals in dynamic landscapes.
2. A gradated and situated approach, where the goal is to move up a scale of wildness within the constraints
of what is possible, and interacting with local cultural identities.
3. Taking inspiration from the past but not replicating it. Developing new natural heritage and value that
evokes the past but shapes the future.
4. Creating self-sustaining, resilient ecosystems (including re-connecting habitats and species populations
within the wider landscapes) that provide resilience to external threats and pressures, including the impact of
climate change (adaptation).
5. Working towards the ideal of passive management, where once restored, we step back and allow dynamic
natural processes to shape conservation outcomes.
6. Creating new natural assets that connect with modern society and economy and promote innovation,
enterprise and investment in and around natural areas, leading to new nature-inspired economies.
7. Reconnecting policy with popular conservation sentiment and a recognition that conservation is a
culturally dynamic as well as a scientific and technical pursuit.
As a new conservation frame, rewilding brings together established and newer conservation worldviews. People
are combining these in different ways creating different ‘shades’ of rewilding, many of which have labels. This
is a limitation and opportunity. On the one hand it exposes rewilding to sensationalists media interpretations
and charges of a lack of clarity, consensus and evidence by groups within conservation science. On the other
hand it reflects innovation and creates the possibility for a common, but differentiated (situated) mode of
conservation: one that is guided by a set of principles that member states or regions can interpret in ways suited
to their nature conservation traditions, landscapes, culture and economies.

<sup>1</sup>Groups of organisms that use natural resources in similar ways

---

*GO ON TO THE NEXT PAGE.*

### Source C

"Urban Rewilding." Parks and Recreation, National Recreation and Park Association, 1 Nov. 2016, nrpa.org/parks-recreation-magazine/2016/november/urban-rewilding/.

The following is excerpted from an article in a magazine published by a nonprofit organization that promotes
parks and environmental conservation.
“Close your eyes for a moment and picture a place from childhood that’s extremely meaningful,” directed
Opening Session keynote speaker Dr. Scott Sampson. “Imagine what it looks like, feels like, who you’re there
with, what the smells are.”
By an almost unanimous show of hands, Dr. Scott, host and science advisor of the Emmy-nominated PBS
KIDS television series “Dinosaur Train” and author of How to Raise a Wild Child: The Art and Science of
Falling in Love with Nature, illustrated how, for a large number in the audience, that extremely meaningful
childhood place involves the outdoors. The audience largely consisted of Baby Boomers/Generation Xers who
remember enjoying abundant, unstructured outdoor playtime as kids. For many of today’s youth, those
childhood places will look much different.…
Imagine 25 years from now, he posits, how many hands would be raised in response to the same question about
a meaningful childhood place involving the outdoors. “If people don’t spend any time outside, why are they
going to care about their local places let alone the national parks in the distance,” he asked.
Dr. Scott suggests that “urban rewilding” in our cities and towns is what’s needed to head off this crisis.
Rewilding is a term usually used in connection with reintroducing an apex predator into an ecosystem in an
attempt to restore balance. A familiar example of this top-down approach to restoring balance would be the
efforts to return wolves to Yellowstone Park. Urban rewilding is a bottom up approach that starts with the
simple act of planting mostly native plants. They are critical to attracting native insects, which in turn attract
birds and various animals back to the local ecosystem. And, if we do urban rewilding right, cities could become
places where nature is welcome. And once that happens, we need to help children develop NEW eyes to see
nature: to notice it, engage with it—play is an important way for kids to engage with nature and it also allows
them to gain some experience with risk-taking, while developing a sense of wonder about it.
This movement to “rewild” or “wild” children touches on all three NRPA Pillars—Conservation, Health and
Wellness and Social Equity. However, it’s a movement that requires big thinking about what we want the future
to look like and for each community that future will look different. It also will require deep collaboration
among multiple organizations that bring their various areas of expertise, each doing their part to achieve the end
goal of successful, thriving communities. “We’re at a juncture where the decisions we and the next generation
make will determine the course of this planet for thousands of years to come,” Dr. Scott noted. He then
challenged us to go out into our communities and think about what those collaborations could be, look like and
grow into, and to think big because “that’s where success resides.”

Used by permission.
---

*GO ON TO THE NEXT PAGE.*

---

### Source D

Garland, Lincoln. “Let Go of Some Urban Domestication: How Would You Convince the Mayor to Re-wild the City?” The Nature of Cities, The Nature of Cities, www.thenatureofcities.com/2017/11/13/re-wilding-make-cities-better-just-wilder/.

The following is excerpted from an online discussion of urban rewilding in the United Kingdom hosted by a
nonprofit organization that publishes research and writing about cities. The author is the associate director of an
environmental consultancy.
There are certainly opportunities for introducing re-wilding in rural parts of the UK, in particular in upland
regions where, without subsidy, agriculture is economically unviable for the most part. With respect to the UK’s
cities, nature should also be allowed to take its own path in certain select locations to create some semblance of
wildness. I am unconvinced however that re-wilding is the appropriate terminology or the approach to wildlife
restoration that we should be pursuing in UK cities at any meaningful scale.
The large expanses of greenspace that would be required to recreate fully functioning wildwood, including
relatively large numbers of herbivores and viable populations of naturally scarce predators at the top of food
chain, are simply not available in our cities, where space is increasingly at a premium. Sustainable urban design
should be seeking to avoid low-density sprawl and instead promote compact, transit-oriented,
pedestrian-and-bicycle friendly urban development that provides easy access to services. This development
model is crucial for tackling congestion and for reducing CO2 and other harmful emissions. Given this compact
city imperative, the proposition of devoting large areas of urban space for re-wilding in anything approaching
its true sense is untenable.…
Some authors/practitioners respond that there should be no minimum area thresholds for wilderness and
re-wilding from an ecological perspective, frequently quoting Aldo Leopold who declared that “no tract of
land is too small for the wilderness idea”. While it is true that ecosystems can be considered at the
microcosm, there really is not the space available to recreate complex self-sustaining food webs, with
meaningful ranges of predators and prey, in accordance with the true principles of re-wilding.
Even ignoring the seeming disregard for matters relating to population viability analysis and the principles of
island biogeography, other concerns remain. In those small areas where nature can be left to its own devices,
many people may have a profound dislike for the outcome that sometimes emerges. Negative comments may be
expressed relating to perceptions of safety, the appearance of neglect, reduced accessibility and visual/aesthetic
preference. With respect to the last of these concerns, while education programmes can attune people’s
valuation patterns, within an urban context a great many people will continue to favour more ordered,
manicured environments. Undeniably, a previously accessible urban greenspace that has been left to nature,
which then rapidly succeeds into a monoculture of impenetrable bramble or butterfly-bush, is unlikely to be
well-received by most local residents.…
The disturbed nature of urban soils is likely to be another major limiting factor, impoverished as they frequently
are in terms of seedbank, organic material and soil organisms. Without active management newly emerging
urban woodland would also be subject to degradation by trampling, visual and noise disturbance, fire, invasive
species, effects of predatory pets etc. To reiterate, unencumbered natural succession may well produce
landscapes in urban areas dramatically less visually and ecologically appealing than anticipated.

Used by permission.
---

*GO ON TO THE NEXT PAGE.*

---

### Source E

McDonald, Robert Ian, et al. “The Green Soul of the Concrete Jungle: The Urban Century, the Urban Psychological Penalty, and the Role of Nature.” Sustainable Earth, vol. 1, no. 3, 2018, sustainableearth.biomedcentral.com/articles/10.1186/s42055-018-0002-5.

The following is based on a graph published in a community-focused academic journal dedicated to advancing
environmental sustainability. It shows responses from a survey conducted in three towns in the United Kingdom.

--- START OF GRAPH DESCRIPTION ---

The graph presents a bar chart depicting the relationship between neighborhood forest cover as a percentage and the mental health of urban dwellers, represented in percentage terms. Five categories of forest cover are displayed on the x-axis: less than 10%, 10-15%, 15-20%, 20-25%, 25-30%, and greater than 30%. The y-axis represents the percentage of urban dwellers, scaled from 0 to 40%.

The tallest bar corresponds to neighborhoods with less than 10% forest cover, indicating the highest percentage of urban dwellers with mental health issues. As forest cover increases, there is a marked decline in the percentage of people reporting mental health issues. Notably, a significant reduction in depression, stress, and anxiety is observed in areas with higher levels of forest cover.

In neighborhoods with 20-25% forest cover, there is a reported 50% decrease in depression and 43% decrease in stress. Areas with more than 30% forest cover see a further reduction, with a notable 56% decrease in anxiety levels. The data suggests a correlation between increased urban forest cover and improved mental health among residents.

-- END OF GRAPH DESCRIPTION ---

Forest cover in urban neighborhoods and its impact on mental health. The bar chart shows the fraction of urban
dwellers who live in neighborhoods with varying levels of forest cover.

---

*GO ON TO THE NEXT PAGE.*

---

### Source F

Chatterton, Paul. Unlocking Sustainable Cities: A Manifesto for Real Change. Pluto Press, 2019.

The following is an excerpt from a book exploring the benefits of urban rewilding.
We are beginning to see a proliferation of hybrid natural and built forms through, for example, living walls,
rooftop farms, vertical or sky gardens and breathing buildings. These can have significant beneficial effects. For
example, urban street canyons refer to the effect created by high buildings lining a street, which can become
hotspots for harmful pollutants, such as nitrogen dioxide and particulate matter. A study by Thomas Pugh and
colleagues from the Lancaster Environment Centre suggests that strategic placement of vegetation in street
canyons can cut air pollution by up to 30 per cent. They can also stop urban overheating and provide effective
insulation and shading for buildings, as well as reducing noise pollution. And of course, there are the
psychological and aesthetic benefits of being proximate to an abundance of natural greenery.
Green corridors and linear parks can be retrofitted into the existing city. For example, the High Line project in
New York transformed an old rail line into a nearly two-mile urban park. It opened in 2014 and became a short
cut for walkers and one of the city’s favourite parks featuring art installations and places for hanging out. Other
cities are following suit including Chicago’s 606 Park and Toronto’s Bentway, which has slotted 55 outdoor
rooms under its Gardiner Expressway featuring farmers’ markets, performance spaces and a children’s garden.
Miami is also building the Underline, a nine-mile linear park underneath its metrorail line. In my own city of
Leeds, a community group is attempting to do the same thing on one of Leeds’ abandoned Victorian train
viaducts. The Madrid Rio project was one of the most exciting urban reclamation projects in Europe—burying
a former ring road to create over 600 hectares of parkland. Efforts are being made not just to create
greenspaces, but to create interconnected green corridors. For example, the All London Green Grid (ALGG) is
the green infrastructure strategy for London, which sets out a vision to create an interconnected network of
green and blue spaces across the entire city. It is this interconnection that is so important in terms of creating
space for biodiversity to move more extensively.
Singapore is one of the pioneers of placing nature at the heart of its planning and urban design process. As a
self-labelled garden city, it now prefers to call itself ‘the city in a garden’. To realize this vision of living in an
urban park, Singapore implemented a landscape replacement policy whereby any greenery removed during
construction has to be reinstated as part of the development. It is estimated that the amount of urban greenery
has been at least doubled, but mainly through sky gardens. The city has also built nearly 300km of park
connectors to create deeper connections between parks and neighbourhoods.

__________________________________________________________
Begin your response to this question at the top of a new page in the separate Free Response booklet
and fill in the appropriate circle at the top of each page to indicate the question number.

---

*END OF EXAM*

---

© 2023 College Board. Visit College Board on the web: collegeboard.org.

---

Third-party trademarks Emmy®, PBS KIDS®, and Dinosaur Train® were used in these testing materials.

---

© 2023 College Board. Visit College Board on the web: collegeboard.org.

---


### Question 2

Suggested time—40 minutes  
(This question counts as one-third of the total essay section score.)

Michelle Obama was the First Lady of the United States during the presidential administration of her husband, Barack Obama (2009–2017). During that administration, she led programs including the Reach Higher Initiative, which encourages students to continue their education after high school. One way it does so is by supporting high school counselors’ efforts to get students into college. On January 6, 2017, Obama gave her final speech as First Lady at an event honoring outstanding school counselors. The following passage is an excerpt from that speech. Read the passage carefully. Write an essay that analyzes the rhetorical choices Obama makes to convey her message about her expectations and hope for young people in the United States.

In your response you should do the following:
- Respond to the prompt with a thesis that analyzes the writer’s rhetorical choices.
- Select and use evidence to support your line of reasoning.
- Explain how the evidence supports your line of reasoning.
- Demonstrate an understanding of the rhetorical situation.
- Use appropriate grammar and punctuation in communicating your argument.

[A]s I end my time in the White House, I can think
of no better message to send our young people in my
last official remarks as First Lady. So, for all the
Line young people in this room and those who are
watching, know that this country belongs to you—to
all of you, from every background and walk of life. If
you or your parents are immigrants, know that you are
part of a proud American tradition—the infusion of
new cultures, talents and ideas, generation after
generation, that has made us the greatest country on
earth.
If your family doesn’t have much money, I want
you to remember that in this country, plenty of folks,
including me and my husband—we started out with
very little. But with a lot of hard work and a good
education, anything is possible—even becoming
President. That’s what the American Dream is all
about.
If you are a person of faith, know that religious
diversity is a great American tradition, too. In fact,
that’s why people first came to this country—to
worship freely. And whether you are Muslim,
Christian, Jewish, Hindu, Sikh—these religions are
teaching our young people about justice, and
compassion, and honesty. So I want our young people
to continue to learn and practice those values with
pride. You see, our glorious diversity—our diversities
of faiths and colors and creeds—that is not a threat to
who we are, it makes us who we are. So the young
people here and the young people out there: Do not
ever let anyone make you feel like you don’t matter,
or like you don’t have a place in our American
story—because you do. And you have a right to be
exactly who you are.
But I also want to be very clear: This right isn’t just
handed to you. No, this right has to be earned every
single day. You cannot take your freedoms for
granted. Just like generations who have come before
you, you have to do your part to preserve and protect
those freedoms. And that starts right now, when
you’re young.
Right now, you need to be preparing yourself to
add your voice to our national conversation. You need
to prepare yourself to be informed and engaged as a
citizen, to serve and to lead, to stand up for our proud
American values and to honor them in your daily
lives. And that means getting the best education
possible so you can think critically, so you can
express yourself clearly, so you can get a good job
and support yourself and your family, so you can be a
positive force in your communities.
And when you encounter obstacles—because I
guarantee you, you will, and many of you already
have—when you are struggling and you start thinking
about giving up, I want you to remember something
that my husband and I have talked about since we first
started this journey nearly a decade ago, something
that has carried us through every moment in this
White House and every moment of our lives, and that
is the power of hope—the belief that something better
is always possible if you’re willing to work for it and
fight for it.
It is our fundamental belief in the power of hope
that has allowed us to rise above the voices of doubt
and division, of anger and fear that we have faced in
our own lives and in the life of this country. Our hope
that if we work hard enough and believe in ourselves,
then we can be whatever we dream, regardless of the
limitations that others may place on us. The hope that
when people see us for who we truly are, maybe, just
maybe they, too, will be inspired to rise to their best
possible selves.
That is the hope of students like Kyra<sup>1</sup> who fight to
discover their gifts and share them with the world. It’s
the hope of school counselors like Terri<sup>2</sup> and all these
folks up here who guide those students every step of
the way, refusing to give up on even a single young
person. Shoot, it’s the hope of my—folks like my dad
who got up every day to do his job at the city water
plant; the hope that one day, his kids would go to
college and have opportunities he never dreamed of.
That’s the kind of hope that every single one of
us—politicians, parents, preachers—all of us need to
be providing for our young people. Because that is
what moves this country forward every single
day—our hope for the future and the hard work that
hope inspires.

<sup>1</sup>a student who worked with school counselor Terri Tchorzynski
<sup>2</sup>Terri Tchorzynski, the 2017 National School Counselor
of the Year and honoree of the event

__________________________________________________________
Begin your response to this question at the top of a new page in the separate Free Response booklet
and fill in the appropriate circle at the top of each page to indicate the question number.

---

### Question 3

Suggested time—40 minutes  
(This question counts as one-third of the total essay section score.)

In a 2016 interview published in the Los Angeles Review of Books, Maxine Hong Kingston, an award-winning writer famous for her novels depicting the experiences of Chinese immigrants in the United States, stated: “I think that individual voices are not as strong as a community of voices. If we can make a community of voices, then we can speak more truth.”

Write an essay that argues your position on the extent to which Kingston’s claim about the importance of creating a community of voices is valid.

In your response you should do the following:
- Respond to the prompt with a thesis that presents a defensible position.
- Provide evidence to support your line of reasoning.
- Explain how the evidence supports your line of reasoning.
- Use appropriate grammar and punctuation in communicating your argument.

__________________________________________________________
Begin your response to this question at the top of a new page in the separate Free Response booklet
and fill in the appropriate circle at the top of each page to indicate the question number.

---

**STOP**

**END OF EXAM**

---

© 2023 College Board. Visit College Board on the web: collegeboard.org.

---

Third-party trademarks Emmy®, PBS KIDS®, and Dinosaur Train® were used in these testing materials.

---

© 2023 College Board. Visit College Board on the web: collegeboard.org.

